Subject: bug#65188: 29.1; WEBP image not displayed

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Aug 2023 12:32:02 +0300

> From: Corwin Brust <[email-masked]>
> Date: Thu, 10 Aug 2023 04:16:08 -0500
> Cc: [email-masked], [email-masked]
> 
> I have expressly added WEBP into the list of packages needed, in
> admin/nt/build-deps-zip.py.   It is worth noting that this script is
> really painful because the upstream MSYS package source paths keep
> changing; I had to make several unrelated (cert and sqllite3 source
> archive URL) changes to run it, just now.   I think lib-webp7.dll was
> included at all only because something else we list as a dep was
> depending on it, but I'm not quite sure what just yet.
> 
> I realize others don't find this script as important as I do, but I've
> really struggled to do what it does manually constantly, much less
> create simpler scripting.  I regret not sending in a proper patch for
> discussion well in advance of the release.
> 
> Is this the right place, or should I open my own bug report to discuss
> my version of build-deps-zips and whether to merge my changes that
> make it work for building Emacs 29 and Enacs 30?  (Not attaching
> anything quite yet, but I did put the current version of the script
> into the folder I linked above.)

I think this is worth a separate bug report, yes.  I understand that
playing catch with MSYS distros is a pain, and agree that we should
find a better way if it exists.  But let's discuss it separately; this
bug and its remediation are clear.